Constructor Entry
Entry(string, string, int, string, Guid, Guid, List<string>, DateTime, string, object, string, DateTime)
Creates an instance of Entry.
Declaration
[Preserve]
public Entry(string contentHash = null, string contentLink = null, int contentSize = 0, string contentType = null, Guid currentVersionid = default, Guid entryid = default, List<string> labels = null, DateTime lastModified = default, string link = null, object metadata = null, string path = null, DateTime updatedAt = default)
Parameters
| Type | Name | Description |
|---|---|---|
| string | contentHash | contentHash param |
| string | contentLink | contentLink param |
| int | contentSize | contentSize param |
| string | contentType | contentType param |
| Guid | currentVersionid | currentVersionid param |
| Guid | entryid | entryid param |
| List<string> | labels | labels param |
| DateTime | lastModified | lastModified param |
| string | link | link param |
| object | metadata | metadata param |
| string | path | path param |
| DateTime | updatedAt | updatedAt param |